---
title: Update info post-checkout
url: amazon-pay-checkout/v1-update-info-post-checkout.html
---

[Update Charge Permission](../amazon-pay-api-v2/v1-charge-permission.html) to update external merchant metadata such as: buyer note, store name, and external ID after a successful checkout. See the [API reference guide](../amazon-pay-api-v2/v1-charge-permission.html) for more details.

#### Request

```
curl "https://pay-api.amazon.com/:environment/:version/chargePermissions/:chargePermissionId" \
-X PATCH
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
-d @request_body
```

#### Request body

```
{
    "merchantMetadata": {
        "merchantReferenceId": "32-41-323141-32",
        "merchantStoreName": "AmazonTestStoreFront",
        "noteToBuyer": "Some Note to buyer",
        "customInformation": ""    
     }  
}
```



#### Request parameters

<table width="100%" border="1">
    <tbody>
        <tr id='OMQ9CAtWxw4'>
            <td id='s:OMQ9CAtWxw4;OMQ9CAMhu7I' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:OMQ9CAtWxw4;OMQ9CAqbSKP' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:OMQ9CAtWxw4;OMQ9CA7v9s2' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='OMQ9CAoDYPP'>
            <td id='s:OMQ9CAoDYPP;OMQ9CAMhu7I' style='vertical-align: top;'>chargePermissionId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:OMQ9CAoDYPP;OMQ9CAqbSKP' style='vertical-align: top;'>Path Parameter
                <br /></td>
            <td id='s:OMQ9CAoDYPP;OMQ9CA7v9s2' style='vertical-align: top;'>Charge Permission identifier
                <br /></td>
        </tr>
        <tr id='OMQ9CAUZzUA'>
            <td id='s:OMQ9CAUZzUA;OMQ9CAMhu7I' style='vertical-align: top;'>merchantMetadata<br><br>Type: <a href="../amazon-pay-api-v2/v1-charge-permission.md">merchantMetadata</a>
                <br /></td>
            <td id='s:OMQ9CAUZzUA;OMQ9CAqbSKP' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:OMQ9CAUZzUA;OMQ9CA7v9s2' style='vertical-align: top;'>Merchant-provided order details<br><br>Modifiable: Once
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
    "chargePermissionId": "chargePermission-1",
    "chargePermissionReferenceId": null,
    "buyer": {
        "buyerId": "buyerId",
        "name": "name-1",
        "email": "name@amazon.com"
    },
    "releaseEnvironment": "Live",
    "shippingAddress": {  // Null for PayOnly product type
        "name": "Work",
        "addressLine1": "440 Terry Ave",
        "addressLine2": "",
        "addressLine3": "",
        "city": "Seattle",
        "county": "King",
        "district": "Seattle",
        "stateOrRegion": "WA",
        "postalCode": "98121",
        "countryCode": "US",
        "phoneNumber": "800-000-0000"
    },
    "paymentPreferences": [
    {
        "billingAddress": {  // Only available in EU or for PayOnly product type
            "name": "Work",
            "addressLine1": "440 Terry Ave",
            "addressLine2": "",
            "addressLine3": "",
            "city": "Seattle",
            "county": "King",
            "district": "Seattle",
            "stateOrRegion": "WA",
            "postalCode": "98121",
            "countryCode": "US",
            "phoneNumber": "800-000-0000"
        },
        "paymentDescriptor": null
    }],
    "statusDetail": {
        "state": "Chargeable",
        "reasons":null,
        "lastUpdatedTimestamp": "20190714T155300Z"
    },
    "creationTimestamp": "20190714T155300Z",
    "expirationTimestamp": "20190715T155300Z",
    "merchantMetadata": {
        "merchantReferenceId": "123-77-876", 
        "merchantStoreName": "AmazonTestStoreFront",
        "noteToBuyer": "merchantNoteForBuyer",
        "customInformation": "This is custom information"  
    },
    "platformId": "SPId",
    "chargeAmountLimit": {
        "amount": "14.00",
        "currencyCode": "USD"
    },
    "presentmentCurrency": "USD"
}
```







